package ru.yandex.autotests.directapi.model;

import ru.yandex.autotests.direct.utils.model.ApiAccessCredentials;

/**
 * Created by hmepas on 10.08.16.
 */
public class AuthenticationData {

    public static final ApiAccessCredentials HAS_NO_SPECIAL_ACCESS = ApiAccessCredentials.credentials()
            .withLogin(Logins.METHOD_DEPRECATED_CHECK_LOGIN_1)
            .withApplicationId("fd21a2b61b88498eb76194501345ed33")
            .build();

    public static final ApiAccessCredentials HAS_ACCESS_TO_DEPRECATED_V4_AND_LIVE = ApiAccessCredentials.credentials()
            .withLogin(Logins.METHOD_DEPRECATED_CHECK_LOGIN_2)
            .withApplicationId("ae99016820074f809e5c268e564bebad")
            .build();

    public static final ApiAccessCredentials HAS_ACCESS_TO_DEPRECATED_V4LIVE = ApiAccessCredentials.credentials()
            .withLogin(Logins.METHOD_DEPRECATED_CHECK_LOGIN_3)
            .withApplicationId("966b179d32e341c2b80c10a036f7cf02")
            .build();

    public static final ApiAccessCredentials PERSISTENT_TOKEN_CREDENTIALS = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_WITH_PERSISTENT_TOKEN)
            .withApplicationId("")
            .build();

    public static final ApiAccessCredentials APP_NEW_FULL_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_1)
            .withApplicationId("5f1d1bd482864a5185d3b7deb936d5d5")
            .build();

    public static final ApiAccessCredentials APP_NEW_TEST_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_2)
            .withApplicationId("bd2b5f2ab5664353b579fa2b8a41c1bc")
            .build();

    public static final ApiAccessCredentials APP_ACCEPTED_TEST_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_3)
            .withApplicationId("815c603ec91d4e95aa976ba54e7b65ae")
            .build();

    public static final ApiAccessCredentials APP_DELETED_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_4)
            .withApplicationId("7d67bc59d26143c1a413f0b92ac4e40d")
            .build();

    public static final ApiAccessCredentials APP_DECLINED_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_5)
            .withApplicationId("34eb2fc3f32f4508b48faae5715cc651")
            .build();

    public static final ApiAccessCredentials APP_ACCEPTED_OFF = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_6)
            .withApplicationId("636d218cb2a94755811e9a1b02b6c7e9")
            .build();

    public static final ApiAccessCredentials OLD_APP = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_7)
            .withApplicationId("ae99016820074f809e5c268e564bebad")
            .build();

    public static final ApiAccessCredentials OLD_APP_NEW_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_8)
            .withApplicationId("ad2734d9374040c88d8336dd48467769")
            .build();

    public static final ApiAccessCredentials APP_ACCEPTED_FULL_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_9)
            .withApplicationId("c4c65be43049495099bd13baafddde6b")
            .build();

    public static final ApiAccessCredentials APP_ACCEPTED_AND_EDITED_REQUEST = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_10)
            .withApplicationId("030ecfa7792248b0a105d77acc7fcc68")
            .build();

    public static final ApiAccessCredentials APP_NEW_ON = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_11)
            .withApplicationId("247d7a62a3074b73b8a457d3030bad4f")
            .build();

    public static final ApiAccessCredentials APP_DECLINED_ON = ApiAccessCredentials.credentials()
            .withLogin(Logins.CLIENT_FOR_CHECK_APPS_12)
            .withApplicationId("7578114a39b9476bb29e56ec336d8d8f")
            .build();

}
